{ config, lib, pkgs, inputs, ... }:

{
  imports = [
    (import "${inputs.mobile-nixos}/lib/configuration.nix" { device = "pine64-pinephonepro"; })
    ./hardware-configuration.nix
    "${inputs.mobile-nixos}/examples/phosh/phosh.nix"
  ];

  networking.hostName = "pinephonepro";

  #
  # Opinionated defaults
  #
  
  # Use Network Manager
  networking.networkmanager.enable = true;
  
  # Enable Bluetooth
  hardware.bluetooth.enable = true;

  services.pipewire = {
    enable = true;
    alsa.enable = true;
    alsa.support32Bit = true;
    pulse.enable = true;
  };
  
  # Enable power management options
  powerManagement.enable = true;
  
  # It's recommended to keep enabled on these constrained devices
  zramSwap.enable = true;

  # Auto-login for phosh
  services.xserver.desktopManager.phosh = {
    user = "clhickey";
  };

  #
  # User configuration
  #
  
  users.users."clhickey" = {
    isNormalUser = true;
    description = "Clayton Hickey";
    hashedPassword = "$6$gQ9xI0P2d5xf72i4$oonzmXSghQ8h7TBFIdrf4OFtpWKZsn4ZxW7p6HSvtckvYZzy1g/O58TPBCr/DNiwbdKyZz/q/KOrQ4X/QrnvF1";
    extraGroups = [
      "dialout"
      "feedbackd"
      "networkmanager"
      "video"
      "wheel"
    ];
  };

  environment.systemPackages = with pkgs; [
    neovim
    git
    htop
    fastfetch
  ];

  # This value determines the NixOS release from which the default
  # settings for stateful data, like file locations and database versions
  # on your system were taken. It‘s perfectly fine and recommended to leave
  # this value at the release version of the first install of this system.
  # Before changing this value read the documentation for this option
  # (e.g. man configuration.nix or on https://nixos.org/nixos/options.html).
  system.stateVersion = "24.05"; # Did you read the comment?
}
